KDE 4.9 PyKDE API Reference

- KDE's Python API

# KDesktopFileActions Namespace Reference

`from PyKDE4.kio.KDesktopFileActions import *`

## Detailed Description

KDesktopFileActions provides a number of methods related to actions in desktop files.

## Functions

[KServiceAction] | builtinServices (KUrl url)
| executeService (KUrl.List urls, KServiceAction service)
bool | run (KUrl _url, bool _is_local)
[KServiceAction] | userDefinedServices (QString path, bool bLocalFiles)
[KServiceAction] | userDefinedServices (QString path, KDesktopFile desktopFile, bool bLocalFiles, KUrl.List file_list=KUrl.List())
[KServiceAction] | userDefinedServices (KService service, bool bLocalFiles, KUrl.List file_list=KUrl.List())

## Function Documentation

[KServiceAction] builtinServices | ( | KUrl | url
| ) |  |  |

Returns a list of services for the given .desktop file that are handled by kio itself. Namely mount/unmount for FSDevice files.

Returns:
  the list of services

executeService | ( | KUrl.List | urls,
|  | KServiceAction | service
| ) |  |  |

Execute service on the list of urls.

Parameters:

  | urls | the list of urls
  | service | the service to execute

bool run | ( | KUrl | _url,
|  | bool | _is_local
| ) |  |  |

Invokes the default action for the desktop entry. If the desktop entry is not local, then only false is returned. Otherwise we would create a security problem. Only types Link and Mimetype could be followed.

Parameters:

  | _url | the url to run
  | _is_local | true if the URL is local, false otherwise

Returns:
  true on success and false on failure.

See also:
  KRun.runUrl

[KServiceAction] userDefinedServices | ( | QString | path,
|  | bool | bLocalFiles
| ) |  |  |

Returns a list of services defined by the user as possible actions on the given .desktop file represented by the KService instance. May include separators (see KServiceAction.isSeparator) which should appear in user-visible representations of those actions, such as separators in a menu.

Parameters:

  | path | the path to the desktop file describing the services
  | bLocalFiles | true if those services are to be applied to local files only (if false, services that don't have %u or %U in the Exec line won't be taken into account).
  | file_list | list of urls; this allows for the menu to be changed depending on the exact files via the X-KDE-GetActionMenu extension.

Returns:
  the list of user defined actions

[KServiceAction] userDefinedServices | ( | QString | path,
|  | KDesktopFile | desktopFile,
|  | bool | bLocalFiles,
|  | KUrl.List | file_list=KUrl.List()
| ) |  |  |

Returns a list of services defined by the user as possible actions on the given .desktop file represented by the KService instance. May include separators (see KServiceAction.isSeparator) which should appear in user-visible representations of those actions, such as separators in a menu.

Parameters:

  | path | the path to the desktop file describing the services
  | bLocalFiles | true if those services are to be applied to local files only (if false, services that don't have %u or %U in the Exec line won't be taken into account).
  | file_list | list of urls; this allows for the menu to be changed depending on the exact files via the X-KDE-GetActionMenu extension.

Returns:
  the list of user defined actions

[KServiceAction] userDefinedServices | ( | KService | service,
|  | bool | bLocalFiles,
|  | KUrl.List | file_list=KUrl.List()
| ) |  |  |

Returns a list of services defined by the user as possible actions on the given .desktop file represented by the KService instance. May include separators (see KServiceAction.isSeparator) which should appear in user-visible representations of those actions, such as separators in a menu.

Parameters:

  | path | the path to the desktop file describing the services
  | bLocalFiles | true if those services are to be applied to local files only (if false, services that don't have %u or %U in the Exec line won't be taken into account).
  | file_list | list of urls; this allows for the menu to be changed depending on the exact files via the X-KDE-GetActionMenu extension.

Returns:
  the list of user defined actions